Issue #16925 has been updated by Eregon (Benoit Daloze).


Note that it's OK to backport just the fix in lib/net/http/response.rb

Non-master Ruby versions tests against latest ruby/spec, and I'll just change the [ruby_version_is guard](https://github.com/ruby/ruby/pull/3164/files#diff-e0a90a29096d4eef6ff550142937ab10R80) just after the backport happens.

----------------------------------------
Bug #16925: Backport request: net/http raises in ensure and replaces the original error
https://bugs.ruby-lang.org/issues/16925#change-85917

* Author: Eregon (Benoit Daloze)
* Status: Closed
* Priority: Normal
* Backport: 2.5: REQUIRED, 2.6: REQUIRED, 2.7: REQUIRED
----------------------------------------
Could we backport https://github.com/ruby/ruby/pull/3164, part of [Bug #13882] ?
(Details in https://bugs.ruby-lang.org/issues/13882#note-6)

I think it would be worthwhile.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>